gnutls_pkcs11_set_token_function(3)

NAME
gnutls_pkcs11_set_token_function - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

void gnutls_pkcs11_set_token_function(gnutls_pkcs11_token_callback_t fn, void * userdata);

ARGUMENTS

gnutls_pkcs11_token_callback_t fn
    The token callback

void * userdata
    data to be supplied to callback

DESCRIPTION
This function will set a callback function to be used when a token needs to be inserted to continue PKCS 11 operations.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/